#!/bin/sh
echo 'name: pwstore-fast
version: 2.2
id: pwstore-fast-2.2-b3b5242c101018fb698b41b1ead9e949

license: BSD3
copyright:
maintainer: pjscott@iastate.edu
stability:
homepage: https://github.com/PeterScott/pwstore
package-url:
description: To store passwords securely, they should be salted,
             then hashed with a slow hash function. This library
             uses PBKDF1-SHA256, and handles all the details.
             It uses the cryptohash package for speed; if you need
             a pure Haskell library, pwstore-purehaskell has the
             exact same API, but uses only pure Haskell. It is
             about 25 times slower than this package, but still
             quite usable.
category: Cryptography
author: Peter Scott
pkgpath: security/hs-pwstore-fast
exposed: True
exposed-modules: Crypto.PasswordStore
hidden-modules:
import-dirs: /usr/local/lib/ghc/pwstore-fast-2.2
library-dirs: /usr/local/lib/ghc/pwstore-fast-2.2
hs-libraries: HSpwstore-fast-2.2
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.3.1.0-4365831fa9af03083be195ed161cbbc1
         base64-bytestring-0.1.0.3-01587e75c1cf6b31c43034fd084d56ef
         bytestring-0.9.1.10-d11caeadd9605139e1a59850ce083826
         cryptohash-0.7.0-f59ea148ba6fadfd32d16c0b11e0bb1f
         random-1.0.0.3-7511feaba03eecc22356464da8976c7e
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-pwstore-fast-2.2/html/pwstore-fast.haddock
haddock-html: /usr/local/share/doc/hs-pwstore-fast-2.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
